### Constructor

# Gtk.CellView.new_with_context

#### Declaration [src]

    GtkWidget*
    gtk_cell_view_new_with_context (
      GtkCellArea* area,
      GtkCellAreaContext* context
    )

#### Description [src]

Creates a new `GtkCellView` widget with a specific `GtkCellArea` to layout cells and a specific `GtkCellAreaContext`.

Specifying the same context for a handful of cells lets the underlying area synchronize the geometry for those cells, in this way alignments with cellviews for other rows are possible.

#### Parameters

`area` | `GtkCellArea`
| the `GtkCellArea` to layout cells
| Ownership is not transferred to the callee
`context` | `GtkCellAreaContext`
| the `GtkCellAreaContext` in which to calculate cell geometry
| Ownership is not transferred to the callee

#### Return value

Returns: `GtkWidget`
A newly created `GtkCellView` widget.
Ownership is not transferred to the caller